Package org.apache.calcite.avatica

# Enum UnregisteredDriver.JdbcVersion

java.lang.Object
java.lang.Enum<UnregisteredDriver.JdbcVersion>
org.apache.calcite.avatica.UnregisteredDriver.JdbcVersion

All Implemented Interfaces:
  `Serializable`, `Comparable<UnregisteredDriver.JdbcVersion>`, `java.lang.constant.Constable`

Enclosing class:
  UnregisteredDriver

protected static enum UnregisteredDriver.JdbcVersion extends Enum<UnregisteredDriver.JdbcVersion>
JDBC version.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`JDBC_30`
JDBC version 3.0.
`JDBC_40`
JDBC version 4.0.
`JDBC_41`
JDBC version 4.1.
`JDBC_UNKNOWN`
Unknown JDBC version.

## Method Summary

Modifier and Type
Method
Description
`static UnregisteredDriver.JdbcVersion`
`current()`
Deduces the current JDBC version.
`static UnregisteredDriver.JdbcVersion`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static UnregisteredDriver.JdbcVersion[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### JDBC_UNKNOWN

public static final UnregisteredDriver.JdbcVersion JDBC_UNKNOWN
Unknown JDBC version.

### JDBC_30

public static final UnregisteredDriver.JdbcVersion JDBC_30
JDBC version 3.0. Generally associated with JDK 1.5.

### JDBC_40

public static final UnregisteredDriver.JdbcVersion JDBC_40
JDBC version 4.0. Generally associated with JDK 1.6.

### JDBC_41

public static final UnregisteredDriver.JdbcVersion JDBC_41
JDBC version 4.1. Generally associated with JDK 1.7.

## Method Details

### values

public static UnregisteredDriver.JdbcVersion[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static UnregisteredDriver.JdbcVersion valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### current

public static UnregisteredDriver.JdbcVersion current()
Deduces the current JDBC version.